> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and filter sound effects

> Search the Magnific Sound Effects catalog. Filter by category, duration range, premium status, and creation date. Returns paginated results sorted by popularity by default.

Use the Magnific Sound Effects API to search and filter sound effects by keyword, category, premium status, and more. See the [Sound Effects API overview](/api-reference/sfx/overview) for authentication and usage guidance.


## OpenAPI

````yaml get /v1/sound-effects
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/sound-effects:
    get:
      tags:
        - Sound Effects
      summary: Search and filter sound effects
      description: >-
        Search the Magnific Sound Effects catalog. Filter by category, duration
        range, premium status, and creation date. Returns paginated results
        sorted by popularity by default.
      operationId: search_sound_effects
      parameters:
        - description: Full-text search query for sound effect titles, tags, and categories
          example: thunder
          in: query
          name: q
          required: false
          schema:
            type: string
        - description: >-
            Filter by category slug. Use a parent category to include all its
            subcategories
          example: ambience
          in: query
          name: category
          required: false
          schema:
            enum:
              - ambience
              - forest
              - city-ambience
              - room-tones
              - rain-and-storm
              - beach-and-ocean
              - wind
              - foley
              - weapons-and-warfare
              - footsteps
              - explosions-and-crashes
              - kicks-and-punches
              - clothing
              - debris
              - human-sounds
              - genre
              - glitch-and-noise
              - cartoon-voices-and-sounds
              - sci-fi-sounds
              - ghosts-and-horror-transitions
              - gaming-and-fantasy
              - interface-and-alerts
              - user-interface
              - musical
              - drum-and-percussion-loops
              - vocal-phrases
              - one-shots
              - melodic-loops
              - realistic
              - wildlife
              - machines-and-tools
              - household-objects
              - cars-and-airplanes
              - water
              - electronic-devices
              - pets-and-farm-animals
              - transitions
              - epic-transitions
              - cinematic-impacts
              - whooshes
              - risers
              - intros-and-outros
            type: string
        - description: >-
            Include premium sound effects in search results. When false, only
            free sound effects are returned
          in: query
          name: include-premium
          required: false
          schema:
            default: false
            type: boolean
        - description: >-
            Sort order for results. Prefix with "-" for descending. Defaults to
            "relevance" when a search query (q) is provided, otherwise defaults
            to "-popularity".
          in: query
          name: order_by
          required: false
          schema:
            enum:
              - relevance
              - popularity
              - '-popularity'
              - download_count
              - '-download_count'
              - created_at
              - '-created_at'
              - duration
              - '-duration'
              - title
              - '-title'
            type: string
        - description: Number of results to return per page
          in: query
          name: limit
          required: false
          schema:
            default: 10
            maximum: 1000
            minimum: 1
            type: integer
        - description: Number of results to skip for pagination
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSfxListResponse'
          description: OK
        '400':
          content:
            application/json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Parameter 'page' must be greater than 0
                invalid_query:
                  summary: Parameter 'query' is not valid
                  value:
                    message: Parameter 'query' must not be empty
                invalid_filter:
                  summary: Parameter 'filter' is not valid
                  value:
                    message: Parameter 'filter' is not valid
                generic_bad_request:
                  summary: Bad Request
                  value:
                    message: Parameter ':attribute' is not valid
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
            application/problem+json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Validation error
                    invalid_params:
                      - field: page
                        reason: Parameter 'page' must be greater than 0
                      - field: per_page
                        reason: Parameter 'per_page' must be greater than 0
              schema:
                $ref: >-
                  #/components/schemas/get_all_style_transfer_tasks_400_response_1
          description: >-
            Bad Request - The server could not understand the request due to
            invalid syntax.
        '401':
          content:
            application/json:
              examples:
                invalid_api_key:
                  summary: API key is not valid
                  value:
                    message: Invalid API key
                missing_api_key:
                  summary: API key is not provided
                  value:
                    message: Missing API key
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Unauthorized - The client must authenticate itself to get the
            requested response.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
components:
  schemas:
    PaginatedSfxListResponse:
      example:
        count: 250
        results:
          - duration: 5.2
            file_url: file_url
            is_premium: true
            popularity: 72
            created_at: '2000-01-23T04:56:07.000Z'
            id: 1
            title: Thunder Rumble
            category:
              parent:
                name: Nature
                id: 1
              name: Weather
              id: 5
            tags:
              - thunder
              - storm
              - weather
            download_count: 580
          - duration: 5.2
            file_url: file_url
            is_premium: true
            popularity: 72
            created_at: '2000-01-23T04:56:07.000Z'
            id: 1
            title: Thunder Rumble
            category:
              parent:
                name: Nature
                id: 1
              name: Weather
              id: 5
            tags:
              - thunder
              - storm
              - weather
            download_count: 580
      properties:
        count:
          description: Total number of results matching the query
          example: 250
          type: integer
        results:
          items:
            $ref: '#/components/schemas/SfxListItem'
          type: array
      required:
        - count
        - results
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_400_response_1:
      properties:
        problem:
          $ref: >-
            #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    SfxListItem:
      description: >-
        Sound effect item returned by search results. Fields are only included
        when non-null in the search index.
      example:
        duration: 5.2
        file_url: file_url
        is_premium: true
        popularity: 72
        created_at: '2000-01-23T04:56:07.000Z'
        id: 1
        title: Thunder Rumble
        category:
          parent:
            name: Nature
            id: 1
          name: Weather
          id: 5
        tags:
          - thunder
          - storm
          - weather
        download_count: 580
      properties:
        id:
          description: Unique identifier of the sound effect
          example: 1
          type: integer
        title:
          description: Sound effect title
          example: Thunder Rumble
          type: string
        tags:
          description: Tags associated with the sound effect
          example:
            - thunder
            - storm
            - weather
          items:
            type: string
          type: array
        category:
          $ref: '#/components/schemas/SfxCategory'
        duration:
          description: Duration in seconds
          example: 5.2
          format: float
          type: number
        is_premium:
          description: Whether the sound effect is premium
          type: boolean
        popularity:
          description: Popularity score
          example: 72
          type: integer
        download_count:
          description: Total number of downloads
          example: 580
          type: integer
        file_url:
          description: Direct CDN URL to the audio file
          nullable: true
          type: string
        created_at:
          description: Creation timestamp
          format: date-time
          type: string
      required:
        - id
        - title
      type: object
    get_all_style_transfer_tasks_400_response_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: >-
              #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner
          type: array
      required:
        - invalid_params
        - message
      type: object
    SfxCategory:
      description: Category of the sound effect, with optional parent category
      example:
        parent:
          name: Nature
          id: 1
        name: Weather
        id: 5
      properties:
        id:
          description: Category identifier
          example: 5
          type: integer
        name:
          description: Category name
          example: Weather
          type: string
        parent:
          $ref: '#/components/schemas/SfxCategory_parent'
      required:
        - id
        - name
      type: object
    get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
    SfxCategory_parent:
      description: Parent category, if this is a subcategory
      example:
        name: Nature
        id: 1
      nullable: true
      properties:
        id:
          example: 1
          type: integer
        name:
          example: Nature
          type: string
      required:
        - id
        - name
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````